// -*-C++-*-
/*!
 * @file  soundSVC_impl.cpp
 * @brief Service implementation code of sound.idl
 *
 */

#include "soundSVC_impl.h"

/*
 * Example implementational code for IDL interface PlaySound
 */
PlaySoundSVC_impl::PlaySoundSVC_impl()
{
  // Please add extra constructor code here.
}


PlaySoundSVC_impl::~PlaySoundSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
void PlaySoundSVC_impl::play()
{

  // Please insert your code here and remove the following warning pragma
  std::string command;

  command = "play " + fname;
  system(command.c_str());
}



// End of example implementational code



